<div class="page-item">
  <ng-container *ngIf="item$ | async as item; else noItem">
    <div class="item">
      <div class="item__header">
        <h1 class="item__name"><span class="item__id">ID:{{item.id}}</span>{{item.name}}</h1>
        <p class="item__cost">{{item.cost | currency}}</p>
      </div>
      <p class="item__description">
        {{item.description}}
      </p>
      <div class="item__footer">
        <a [routerLink]="['/item/edit', item.id]" mat-raised-button color="primary">Edit</a>
        <a [routerLink]="['/items-list']" mat-raised-button>Go to list</a>
      </div>
    </div>
  </ng-container>
  <ng-template #noItem>
    <div class="no-item">
      <h1>Item not found</h1>
    </div>
  </ng-template>
</div>
